Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.dataretrieval
Interface DRConstants.SPEC

Enclosing interface:
  DRConstants

    public static interface DRConstants.SPEC

Defines contants references in WS-Mex specification

Nested Class Summary
`static interface` | `DRConstants.SPEC.Actions`

Field Summary
`static String` | `DIALECT`
`static String` | `DIALECT_TYPE_POLICY`
`static String` | `DIALECT_TYPE_SCHEMA`
`static String` | `DIALECT_TYPE_WSDL`
`static String` | `DIALET` Deprecated. Please use DIALECT instead. todo: delete me after 1.5
`static String` | `GET_METADATA`
`static String` | `IDENTIFIER`
`static String` | `LOCATION`
`static String` | `METADATA`
`static String` | `METADATA_REFERENCE`
`static String` | `METADATA_SECTION`
`static String` | `NS_PREFIX`
`static String` | `NS_URI`
`static String` | `TYPE`

Field Detail

### NS_URI

    static final String NS_URI

See Also:
  Constant Field Values

### NS_PREFIX

    static final String NS_PREFIX

See Also:
  Constant Field Values

### GET_METADATA

    static final String GET_METADATA

See Also:
  Constant Field Values

### DIALET

    static final String DIALET

  Deprecated. Please use DIALECT instead. todo: delete me after 1.5
  See Also:
    Constant Field Values

### DIALECT

    static final String DIALECT

See Also:
  Constant Field Values

### IDENTIFIER

    static final String IDENTIFIER

See Also:
  Constant Field Values

### METADATA

    static final String METADATA

See Also:
  Constant Field Values

### METADATA_SECTION

    static final String METADATA_SECTION

See Also:
  Constant Field Values

### METADATA_REFERENCE

    static final String METADATA_REFERENCE

See Also:
  Constant Field Values

### LOCATION

    static final String LOCATION

See Also:
  Constant Field Values

### TYPE

    static final String TYPE

See Also:
  Constant Field Values

### DIALECT_TYPE_WSDL

    static final String DIALECT_TYPE_WSDL

See Also:
  Constant Field Values

### DIALECT_TYPE_POLICY

    static final String DIALECT_TYPE_POLICY

See Also:
  Constant Field Values

### DIALECT_TYPE_SCHEMA

    static final String DIALECT_TYPE_SCHEMA

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.